Debian Bug report logs - #662239
icedtea-7-plugin: unusable without openjdk-6

version graph

Package: icedtea-7-plugin; Maintainer for icedtea-7-plugin is OpenJDK Team <openjdk@lists.launchpad.net>; Source for icedtea-7-plugin is src:icedtea-web.

Reported by: Mircea Gherzan <mgherzan@gmail.com>

Date: Sun, 4 Mar 2012 21:36:05 UTC

Severity: important

Found in version icedtea-web/1.2~pre3-2

Fixed in version icedtea-web/1.2~pre3-3

Done: Matthias Klose <doko@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#662239; Package icedtea-7-plugin. (Sun, 04 Mar 2012 21:36:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mircea Gherzan <mgherzan@gmail.com>:
New Bug report received and forwarded. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Sun, 04 Mar 2012 21:36:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mircea Gherzan <mgherzan@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: icedtea-7-plugin: unusable without openjdk-6
Date: Sun, 04 Mar 2012 22:34:42 +0100
Package: icedtea-7-plugin
Version: 1.2~pre3-2
Severity: important

Hi,

When checking the Java version at the java.com site [1], the applet cannot be
launched because the plugin still look for a java binary in the openjdk-6
folder:

This is the console ouput:

/home/packages/openjdk/web/icedtea-
web-1.2~pre3/build7/../plugin/icedteanp/IcedTeaNPPlugin.cc:1543: thread
0x7f455b610940: Error: Failed to spawn applet viewer: Kindprozess
»/usr/lib/jvm/java-6-openjdk-amd64/jre/bin/java« konnte nicht ausgeführt
werden (Datei oder Verzeichnis nicht gefunden)

/home/packages/openjdk/web/icedtea-
web-1.2~pre3/build7/../plugin/icedteanp/IcedTeaNPPlugin.cc:1543: thread
0x7f455b610940: Error: Failed to spawn applet viewer: Kindprozess
»/usr/lib/jvm/java-6-openjdk-amd64/jre/bin/java« konnte nicht ausgeführt
werden (Datei oder Verzeichnis nicht gefunden)

/home/packages/openjdk/web/icedtea-
web-1.2~pre3/build7/../plugin/icedteanp/IcedTeaNPPlugin.cc:1543: thread
0x7f455b610940: Error: Failed to spawn applet viewer: Kindprozess
»/usr/lib/jvm/java-6-openjdk-amd64/jre/bin/java« konnte nicht ausgeführt
werden (Datei oder Verzeichnis nicht gefunden)

Thanks,
Mircea



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages icedtea-7-plugin depends on:
ii  icedtea-netx        1.2~pre3-2
ii  libatk1.0-0         2.2.0-2
ii  libc6               2.13-27
ii  libcairo2           1.10.2-6.2
ii  libfontconfig1      2.8.0-3.1
ii  libfreetype6        2.4.8-1
ii  libgcc1             1:4.6.3-1
ii  libgdk-pixbuf2.0-0  2.24.1-1
ii  libglib2.0-0        2.30.2-6
ii  libgtk2.0-0         2.24.10-1
ii  libpango1.0-0       1.29.4-2
ii  libstdc++6          4.6.3-1
ii  openjdk-7-jre       7~u3-2.1-2

icedtea-7-plugin recommends no packages.

icedtea-7-plugin suggests no packages.

-- no debconf information




Reply sent to Matthias Klose <doko@ubuntu.com>:
You have taken responsibility. (Sun, 04 Mar 2012 23:21:34 GMT) Full text and rfc822 format available.

Notification sent to Mircea Gherzan <mgherzan@gmail.com>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 23:21:34 GMT) Full text and rfc822 format available.

Message #10 received at 662239-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: 662239-close@bugs.debian.org
Subject: Bug#662239: fixed in icedtea-web 1.2~pre3-3
Date: Sun, 04 Mar 2012 23:17:50 +0000
Source: icedtea-web
Source-Version: 1.2~pre3-3

We believe that the bug you reported is fixed in the latest version of
icedtea-web, which is due to be installed in the Debian FTP archive:

icedtea-6-plugin_1.2~pre3-3_amd64.deb
  to main/i/icedtea-web/icedtea-6-plugin_1.2~pre3-3_amd64.deb
icedtea-7-plugin_1.2~pre3-3_amd64.deb
  to main/i/icedtea-web/icedtea-7-plugin_1.2~pre3-3_amd64.deb
icedtea-netx-common_1.2~pre3-3_all.deb
  to main/i/icedtea-web/icedtea-netx-common_1.2~pre3-3_all.deb
icedtea-netx_1.2~pre3-3_amd64.deb
  to main/i/icedtea-web/icedtea-netx_1.2~pre3-3_amd64.deb
icedtea-plugin_1.2~pre3-3_all.deb
  to main/i/icedtea-web/icedtea-plugin_1.2~pre3-3_all.deb
icedtea-web_1.2~pre3-3.debian.tar.gz
  to main/i/icedtea-web/icedtea-web_1.2~pre3-3.debian.tar.gz
icedtea-web_1.2~pre3-3.dsc
  to main/i/icedtea-web/icedtea-web_1.2~pre3-3.dsc
icedtea6-plugin_6b21.2~pre3-3_all.deb
  to main/i/icedtea-web/icedtea6-plugin_6b21.2~pre3-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662239@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@ubuntu.com> (supplier of updated icedtea-web package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 04 Mar 2012 23:47:57 +0100
Source: icedtea-web
Binary: icedtea-netx icedtea6-plugin icedtea-plugin icedtea-netx-common icedtea-6-plugin icedtea-7-plugin
Architecture: source amd64 all
Version: 1.2~pre3-3
Distribution: unstable
Urgency: low
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Changed-By: Matthias Klose <doko@ubuntu.com>
Description: 
 icedtea-6-plugin - web browser plugin based on OpenJDK and IcedTea to execute Java a
 icedtea-7-plugin - web browser plugin based on OpenJDK and IcedTea to execute Java a
 icedtea-netx - NetX - implementation of the Java Network Launching Protocol (JNL
 icedtea-netx-common - NetX - implementation of the Java Network Launching Protocol (JNL
 icedtea-plugin - web browser plugin to execute Java applets (dependency package)
 icedtea6-plugin - web browser plugin to execute Java applets (dependency package)
Closes: 662239
Changes: 
 icedtea-web (1.2~pre3-3) unstable; urgency=low
 .
   * Really use OpenJDK 7 for the icedtea-7 plugin. Closes: #662239.
Checksums-Sha1: 
 c8bc20cc8d778d0157b8a00c8d5b7ce6ccd35c74 1757 icedtea-web_1.2~pre3-3.dsc
 5407d6b9d3615a548c6e3912582d4f2266e149ce 14896 icedtea-web_1.2~pre3-3.debian.tar.gz
 b9829f3ebd7fbd00edbb76ea96f29e9195cb9cf0 16480 icedtea-netx_1.2~pre3-3_amd64.deb
 2e880c4a2b71b8df059567c74d6ce97cccf77870 92132 icedtea-6-plugin_1.2~pre3-3_amd64.deb
 dd5c995e29042849a8127b5ddea10727510853aa 91988 icedtea-7-plugin_1.2~pre3-3_amd64.deb
 a0c5fc48b902a226f849c1ecb9c34e9b97bd423b 886 icedtea6-plugin_6b21.2~pre3-3_all.deb
 30e7a45f9bd1a4d48a37f697f1266be5bbc6a2c6 592116 icedtea-netx-common_1.2~pre3-3_all.deb
 b41e1414702d920ce292335aacbccf5af9bf98f6 6618 icedtea-plugin_1.2~pre3-3_all.deb
Checksums-Sha256: 
 6c7aa9609771cebe492cc411fc1c091e3979723e2780db72cf3cf2064efe0396 1757 icedtea-web_1.2~pre3-3.dsc
 18b43ce4cb4690871105da1146c9ec083bb625bdfd835325d73d9eaf33f92cb8 14896 icedtea-web_1.2~pre3-3.debian.tar.gz
 3c34214b99decce6c9e9ad33eb9adc93351a10fd83155ba9c165fae157dd0b89 16480 icedtea-netx_1.2~pre3-3_amd64.deb
 c12e7fa2f0241e81839f3899d160fef33b08bbe7969c65537ff77160d1e26463 92132 icedtea-6-plugin_1.2~pre3-3_amd64.deb
 f9f03cf0e992db4af98900c6cf37e00e686000a959c72ddd2ae39db00dabad14 91988 icedtea-7-plugin_1.2~pre3-3_amd64.deb
 18888e666f6d6a7a6e0d1f54c4a18aac3571869669352463627f6bb8ef9d75eb 886 icedtea6-plugin_6b21.2~pre3-3_all.deb
 b4509d2ad5236b087459a57a512d30de098c5af5a1f454a6c9e1ad2da988da37 592116 icedtea-netx-common_1.2~pre3-3_all.deb
 300271e74ba070f500129f16cc61cf174beffd64b29a857906926234be4af9e8 6618 icedtea-plugin_1.2~pre3-3_all.deb
Files: 
 ff95f5191fbef5434ec88a726c055500 1757 java extra icedtea-web_1.2~pre3-3.dsc
 12986e535788dad3f025ca257d1dbf14 14896 java extra icedtea-web_1.2~pre3-3.debian.tar.gz
 3dcc2330eb5bc7ece605f2c2bac1de97 16480 java extra icedtea-netx_1.2~pre3-3_amd64.deb
 e3533b6047d90d28e7c6e5fd197e2b4b 92132 web extra icedtea-6-plugin_1.2~pre3-3_amd64.deb
 2315273826edaa04b273570f24744fbb 91988 web extra icedtea-7-plugin_1.2~pre3-3_amd64.deb
 c3bdcfe3c96113b6da3830fc56ed1793 886 web extra icedtea6-plugin_6b21.2~pre3-3_all.deb
 c0f81c63faeecefc404178430a7d672a 592116 java extra icedtea-netx-common_1.2~pre3-3_all.deb
 545e66a9317aaaffaf851939c80202bc 6618 web extra icedtea-plugin_1.2~pre3-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9T9VQACgkQStlRaw+TLJw0TACbBuD8hiDyWvGdQiKR/yz+Jmof
DtUAn2c2YG03MjXGK9x3dQ56fVs98JwV
=IK/I
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Apr 2012 07:36:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:52:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.